Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1335)

Issue 340610043: [plaso] SQLite merge reader added zlib support and clean up (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 1 week ago by Joachim Metz
Modified:
7 months, 1 week ago
Reviewers:
onager
CC:
kiddi, log2timeline-dev_googlegroups.com, jberggren, romaing
Visibility:
Public.

Description

[plaso] SQLite merge reader added zlib support and clean up

Patch Set 1 : Small textual changes #

Total comments: 24

Patch Set 2 : Changes after review #

Total comments: 4

Patch Set 3 : Changes after merge #

Patch Set 4 : Changes after review #

Total comments: 6

Patch Set 5 : Changes after review #

Unified diffs Side-by-side diffs Delta from patch set Stats (+274 lines, -112 lines) Patch
M plaso/storage/interface.py View 1 2 8 chunks +34 lines, -53 lines 0 comments Download
M plaso/storage/sqlite/merge_reader.py View 1 2 3 4 8 chunks +151 lines, -59 lines 0 comments Download
A tests/storage/sqlite/merge_reader.py View 1 1 chunk +89 lines, -0 lines 0 comments Download

Messages

Total messages: 18
Joachim Metz
8 months, 1 week ago (2018-04-01 12:32:38 UTC) #1
Joachim Metz
Code updated.
8 months, 1 week ago (2018-04-01 17:38:33 UTC) #2
onager
https://codereview.appspot.com/340610043/diff/20001/plaso/storage/interface.py File plaso/storage/interface.py (right): https://codereview.appspot.com/340610043/diff/20001/plaso/storage/interface.py#newcode1081 plaso/storage/interface.py:1081: def _GetMergeTaskStorageFilePath(self, task): Rather than doing this, how about ...
8 months, 1 week ago (2018-04-01 19:18:05 UTC) #3
Joachim Metz
https://codereview.appspot.com/340610043/diff/20001/plaso/storage/interface.py File plaso/storage/interface.py (right): https://codereview.appspot.com/340610043/diff/20001/plaso/storage/interface.py#newcode1081 plaso/storage/interface.py:1081: def _GetMergeTaskStorageFilePath(self, task): Let's do one (optimization) step at ...
8 months, 1 week ago (2018-04-01 20:39:27 UTC) #4
Joachim Metz
Code updated.
8 months, 1 week ago (2018-04-01 21:24:50 UTC) #5
onager
https://codereview.appspot.com/340610043/diff/40001/plaso/storage/sqlite/merge_reader.py File plaso/storage/sqlite/merge_reader.py (right): https://codereview.appspot.com/340610043/diff/40001/plaso/storage/sqlite/merge_reader.py#newcode165 plaso/storage/sqlite/merge_reader.py:165: as event referencing event data. To resulting names are ...
8 months, 1 week ago (2018-04-07 13:24:17 UTC) #6
Joachim Metz
https://codereview.appspot.com/340610043/diff/40001/plaso/storage/sqlite/merge_reader.py File plaso/storage/sqlite/merge_reader.py (right): https://codereview.appspot.com/340610043/diff/40001/plaso/storage/sqlite/merge_reader.py#newcode165 plaso/storage/sqlite/merge_reader.py:165: as event referencing event data. To resulting names are ...
8 months, 1 week ago (2018-04-07 17:23:30 UTC) #7
Joachim Metz
Code updated.
8 months, 1 week ago (2018-04-07 17:28:58 UTC) #8
Joachim Metz
Code updated.
7 months, 3 weeks ago (2018-04-21 06:53:52 UTC) #9
Joachim Metz
Code updated.
7 months, 2 weeks ago (2018-04-24 04:02:30 UTC) #10
onager
https://codereview.appspot.com/340610043/diff/100001/plaso/storage/sqlite/merge_reader.py File plaso/storage/sqlite/merge_reader.py (right): https://codereview.appspot.com/340610043/diff/100001/plaso/storage/sqlite/merge_reader.py#newcode166 plaso/storage/sqlite/merge_reader.py:166: attribute containers are merged in the correct order. This ...
7 months, 1 week ago (2018-05-01 08:34:04 UTC) #11
Joachim Metz
https://codereview.appspot.com/340610043/diff/100001/plaso/storage/sqlite/merge_reader.py File plaso/storage/sqlite/merge_reader.py (right): https://codereview.appspot.com/340610043/diff/100001/plaso/storage/sqlite/merge_reader.py#newcode166 plaso/storage/sqlite/merge_reader.py:166: attribute containers are merged in the correct order. where ...
7 months, 1 week ago (2018-05-01 08:39:23 UTC) #12
onager
https://codereview.appspot.com/340610043/diff/100001/plaso/storage/sqlite/merge_reader.py File plaso/storage/sqlite/merge_reader.py (right): https://codereview.appspot.com/340610043/diff/100001/plaso/storage/sqlite/merge_reader.py#newcode32 plaso/storage/sqlite/merge_reader.py:32: _CONTAINER_TYPES = ( Please add a comment that the ...
7 months, 1 week ago (2018-05-01 08:46:55 UTC) #13
Joachim Metz
https://codereview.appspot.com/340610043/diff/100001/plaso/storage/sqlite/merge_reader.py File plaso/storage/sqlite/merge_reader.py (right): https://codereview.appspot.com/340610043/diff/100001/plaso/storage/sqlite/merge_reader.py#newcode32 plaso/storage/sqlite/merge_reader.py:32: _CONTAINER_TYPES = ( On 2018/05/01 08:46:55, onager wrote: > ...
7 months, 1 week ago (2018-05-01 09:26:20 UTC) #14
Joachim Metz
Code updated.
7 months, 1 week ago (2018-05-01 09:30:28 UTC) #15
onager
On 2018/05/01 09:30:28, Joachim Metz wrote: > Code updated. I don't think we're making progress ...
7 months, 1 week ago (2018-05-01 10:09:09 UTC) #16
Joachim Metz
as indicated per chat, it is unclear to me what you mean.
7 months, 1 week ago (2018-05-01 10:14:47 UTC) #17
Joachim Metz
7 months, 1 week ago (2018-05-01 10:16:09 UTC) #18
Changes have been merged with master branch. To close the review and clean up
the feature branch you can run: review.py close dbmerge
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b